Bug 171513 - [PATCH] x11-fm/rox-session: update to 0.40.0, OptionsNG
Summary: [PATCH] x11-fm/rox-session: update to 0.40.0, OptionsNG
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jimmy Olgeni
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-10 00:30 UTC by nemysis
Modified: 2012-09-11 23:00 UTC (History)
1 user (show)

See Also:


Attachments
rox-session-0.40.0.patch (13.15 KB, patch)
2012-09-10 00:30 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-09-10 00:30:03 UTC
- Update to 0.40.0

- OptionsNG

Added file(s):
- files/patch-setup.py

Removed file(s):
- files/patch-ROX-Session_setup.py

Port maintainer (olgeni@FreeBSD.org) is cc'd.

Generated and tested manually, tested with port test and with RedPorts (all RELEASES, CLANG), sent  with FreeBSD Port Tools 0.99_6 (mode: update, diff: ports)

How-To-Repeat: 
portlint -A

looks fine

https://redports.org/buildarchive/20120909212858-33624/
Comment 1 Edwin Groothuis freebsd_committer 2012-09-10 00:30:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->olgeni

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Jimmy Olgeni freebsd_committer 2012-09-11 22:58:58 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2012-09-11 22:59:40 UTC
Author: olgeni
Date: Tue Sep 11 21:59:23 2012
New Revision: 304126
URL: http://svn.freebsd.org/changeset/ports/304126

Log:
  Upgrade to version 0.40.0 and add OptionsNG support.
  
  PR:		ports/171513
  Submitted by:	nemysis <nemysis@gmx.ch>

Added:
  head/x11-fm/rox-session/files/patch-setup.py   (contents, props changed)
Deleted:
  head/x11-fm/rox-session/files/patch-ROX-Session_setup.py
Modified:
  head/x11-fm/rox-session/Makefile   (contents, props changed)
  head/x11-fm/rox-session/distinfo   (contents, props changed)
  head/x11-fm/rox-session/files/rox-session.in   (contents, props changed)
  head/x11-fm/rox-session/files/rox.desktop.in   (contents, props changed)
  head/x11-fm/rox-session/pkg-descr   (contents, props changed)
  head/x11-fm/rox-session/pkg-plist   (contents, props changed)

Modified: head/x11-fm/rox-session/Makefile
==============================================================================
--- head/x11-fm/rox-session/Makefile	Tue Sep 11 21:25:50 2012	(r304125)
+++ head/x11-fm/rox-session/Makefile	Tue Sep 11 21:59:23 2012	(r304126)
@@ -5,30 +5,38 @@
 # $FreeBSD$
 
 PORTNAME=	rox-session
-PORTVERSION=	0.30
-PORTREVISION=	4
+PORTVERSION=	0.40.0
 CATEGORIES=	x11-fm
-MASTER_SITES=	SF/rox/ROX-Session/${PORTVERSION}
-DISTNAME=	rox-session-${PORTVERSION}
+MASTER_SITES=	SF/rox/ROX-Session/${PORTVERSION}/
 
 MAINTAINER=	olgeni@FreeBSD.org
-COMMENT=	A session manager for the ROX desktop
+COMMENT=	Simple session manager for the ROX desktop
 
+LICENSE=	GPLv2
+
+LIB_DEPENDS=	dbus-glib-1:${PORTSDIR}/devel/dbus-glib
 RUN_DEPENDS=	${LOCALBASE}/bin/rox:${PORTSDIR}/x11-fm/rox-filer \
 		${LOCALBASE}/lib/ROX-Lib2/python/rox/__init__.py:${PORTSDIR}/devel/py-roxlib
 
-USE_BZIP2=	yes
-USE_PYTHON=	yes
+WRKSRC=		${WRKDIR}/ROX-Session
+DATADIR=	${PREFIX}/apps/ROX-Session
 
-SUB_FILES=	rox-session rox.desktop
+USE_GNOME=	gtk20 libxml2
+USE_XORG=	x11 xext xtst xxf86vm
+USE_PYTHON=	yes
 
-.include <bsd.port.pre.mk>
+PORTDOCS=	Changes DBUS-API README
 
-.if exists(${LOCALBASE}/sbin/gdm)
-WITH_GDM=	yes
+.if !exists(${LOCALBASE}/sbin/gdm)
+OPTIONS_DEFINE=	GDM
+GDM_DESC=	Install GDM login manager
 .endif
 
-.if defined(WITH_GDM)
+SUB_FILES=	${PORTNAME} rox.desktop
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MGDM}
 RUN_DEPENDS+=	${LOCALBASE}/sbin/gdm:${PORTSDIR}/x11/gdm
 PLIST_SUB+=	GDM=""
 .else
@@ -36,19 +44,23 @@ PLIST_SUB+=	GDM="@comment "
 .endif
 
 post-patch:
-	@${FIND} ${WRKSRC} -name *.orig | ${XARGS} ${RM}
+	@${FIND} ${WRKSRC} -name "*.orig" -delete
 
 do-build:
 	@${PYTHON_CMD} -m compileall ${WRKSRC}
 	@${PYTHON_CMD} -O -m compileall ${WRKSRC}
+	@cd ${WRKSRC} && ./AppRun --compile
 
 do-install:
-	@${MKDIR} ${PREFIX}/apps
-	@${CP} -r ${WRKSRC}/ROX-Session ${PREFIX}/apps/
-	@${CHOWN} -R ${SHAREOWN}:${SHAREGRP} ${PREFIX}/apps/ROX-Session
-	@${INSTALL_SCRIPT} ${WRKDIR}/rox-session ${PREFIX}/sbin
-.if defined(WITH_GDM)
-	@${INSTALL_DATA} ${WRKDIR}/rox.desktop ${PREFIX}/etc/dm/Sessions
+	@${INSTALL_SCRIPT} ${WRKDIR}/${PORTNAME} ${PREFIX}/bin
+	@cd ${WRKSRC} && ${FIND} . | ${CPIO} -pdmu ${DATADIR}
+	@${MKDIR} ${PREFIX}/share/applications
+	@${INSTALL_DATA} ${WRKDIR}/rox.desktop ${PREFIX}/share/applications
+.if ${PORT_OPTIONS:MDOCS}
+	@${MKDIR} ${DOCSDIR}
+.for f in ${PORTDOCS}
+	@${INSTALL_DATA} ${WRKSRC}/Help/${f} ${DOCSDIR}
+.endfor
 .endif
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/x11-fm/rox-session/distinfo
==============================================================================
--- head/x11-fm/rox-session/distinfo	Tue Sep 11 21:25:50 2012	(r304125)
+++ head/x11-fm/rox-session/distinfo	Tue Sep 11 21:59:23 2012	(r304126)
@@ -1,2 +1,2 @@
-SHA256 (rox-session-0.30.tar.bz2) = c58f861aae4796a5191ee9a471fca9b8ac30978af954316ec1f650f5a1c336bd
-SIZE (rox-session-0.30.tar.bz2) = 131563
+SHA256 (rox-session-0.40.0.tar.gz) = 96810f80226d85ba120724528c07331f0e9b89f814825c08bb03d650a8254e96
+SIZE (rox-session-0.40.0.tar.gz) = 203282

Added: head/x11-fm/rox-session/files/patch-setup.py
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11-fm/rox-session/files/patch-setup.py	Tue Sep 11 21:59:23 2012	(r304126)
@@ -0,0 +1,13 @@
+--- setup.py.orig	2008-04-13 18:36:56.000000000 +0200
++++ setup.py	2012-09-09 17:11:39.000000000 +0200
+@@ -137,7 +137,9 @@
+ 	try:
+ 		session_dirs = ['/etc/X11/sessions', '/etc/dm/Sessions',
+ 				'/etc/X11/dm/Sessions', '/usr/share/xsessions',
+-				'/opt/kde3/share/apps/kdm/sessions']
++				'/opt/kde3/share/apps/kdm/sessions',
++				'/usr/local/share/applications',
++				'/usr/local/etc/dm/Sessions']
+ 		# TODO: more guesses about where KDE is installed, /opt/kde3
+ 		# works for SuSE 9.2
+ 		for d in session_dirs:

Modified: head/x11-fm/rox-session/files/rox-session.in
==============================================================================
--- head/x11-fm/rox-session/files/rox-session.in	Tue Sep 11 21:25:50 2012	(r304125)
+++ head/x11-fm/rox-session/files/rox-session.in	Tue Sep 11 21:59:23 2012	(r304126)
@@ -1,3 +1,7 @@
 #!/bin/sh
+#
+# $FreeBSD$
 
-exec %%PREFIX%%/apps/ROX-Session/AppRun -w < /dev/null
+echo "ROX Session: Starting up..." 
+cd "%%DATADIR%%"
+./AppRun -w < /dev/null

Modified: head/x11-fm/rox-session/files/rox.desktop.in
==============================================================================
--- head/x11-fm/rox-session/files/rox.desktop.in	Tue Sep 11 21:25:50 2012	(r304125)
+++ head/x11-fm/rox-session/files/rox.desktop.in	Tue Sep 11 21:59:23 2012	(r304126)
@@ -1,6 +1,6 @@
 [Desktop Entry]
 Encoding=UTF-8
 Name=ROX
-Comment=This session logs you into the ROX desktop
-Exec=%%PREFIX%%/sbin/rox-session
+Comment=This session logs you into the ROX Desktop
+Exec=%%PREFIX%%/bin/rox-session
 Type=Application

Modified: head/x11-fm/rox-session/pkg-descr
==============================================================================
--- head/x11-fm/rox-session/pkg-descr	Tue Sep 11 21:25:50 2012	(r304125)
+++ head/x11-fm/rox-session/pkg-descr	Tue Sep 11 21:59:23 2012	(r304126)
@@ -1,5 +1,7 @@
-ROX-Filer is a simple and easy to use graphical
-file manager for X11. This ports adds session
-management capabilities to ROX-Filer.
+ROX-Session is a simple session manager.
+It loads, runs any programs you asked it to, and then quits when you run it
+a second time (thus ending your session). It does not display any windows
+until you ask it to quit.
 
-WWW: http://rox.sourceforge.net/rox_session.php3
+WWW: http://roscidus.com/desktop/ROX-Session
+WWW: http://rox.sourceforge.net/rox_session.html

Modified: head/x11-fm/rox-session/pkg-plist
==============================================================================
--- head/x11-fm/rox-session/pkg-plist	Tue Sep 11 21:25:50 2012	(r304125)
+++ head/x11-fm/rox-session/pkg-plist	Tue Sep 11 21:59:23 2012	(r304126)
@@ -4,116 +4,130 @@ apps/ROX-Session/AppRun
 apps/ROX-Session/AutoStart.py
 apps/ROX-Session/AutoStart.pyc
 apps/ROX-Session/AutoStart.pyo
-apps/ROX-Session/Environment.py
-apps/ROX-Session/Environment.pyc
-apps/ROX-Session/Environment.pyo
+apps/ROX-Session/Environment
 apps/ROX-Session/Help/COPYING
 apps/ROX-Session/Help/Changes
 apps/ROX-Session/Help/DBUS-API
 apps/ROX-Session/Help/README
 apps/ROX-Session/Login
-apps/ROX-Session/Messages/da.gmo
-apps/ROX-Session/Messages/da.po
-apps/ROX-Session/Messages/de.gmo
-apps/ROX-Session/Messages/de.po
-apps/ROX-Session/Messages/dist
-apps/ROX-Session/Messages/es.gmo
-apps/ROX-Session/Messages/es.po
-apps/ROX-Session/Messages/fr.gmo
-apps/ROX-Session/Messages/fr.po
-apps/ROX-Session/Messages/it.gmo
-apps/ROX-Session/Messages/it.po
-apps/ROX-Session/Messages/ja.gmo
-apps/ROX-Session/Messages/ja.po
-apps/ROX-Session/Messages/lt.gmo
-apps/ROX-Session/Messages/lt.po
-apps/ROX-Session/Messages/nl.gmo
-apps/ROX-Session/Messages/nl.po
-apps/ROX-Session/Messages/pt_BR.gmo
-apps/ROX-Session/Messages/pt_BR.po
-apps/ROX-Session/Messages/ru.gmo
-apps/ROX-Session/Messages/ru.po
-apps/ROX-Session/Messages/tips.py
-apps/ROX-Session/Messages/tips.pyc
-apps/ROX-Session/Messages/tips.pyo
-apps/ROX-Session/Messages/update-po
-apps/ROX-Session/Messages/zh_CN.gmo
-apps/ROX-Session/Messages/zh_CN.po
-apps/ROX-Session/Messages/zh_TW.gmo
-apps/ROX-Session/Messages/zh_TW.po
 apps/ROX-Session/Options.xml
+apps/ROX-Session/ROX-Session
+apps/ROX-Session/ROX-Session.dbg
 apps/ROX-Session/ROX-Session.xml
 apps/ROX-Session/RunROX
 apps/ROX-Session/SetupPanel
 apps/ROX-Session/Styles
 apps/ROX-Session/browser
-apps/ROX-Session/children.py
-apps/ROX-Session/children.pyc
-apps/ROX-Session/children.pyo
-apps/ROX-Session/constants.py
-apps/ROX-Session/constants.pyc
-apps/ROX-Session/constants.pyo
-apps/ROX-Session/env_helper.py
-apps/ROX-Session/env_helper.pyc
-apps/ROX-Session/env_helper.pyo
+apps/ROX-Session/build/Makefile
+apps/ROX-Session/build/choices.o
+apps/ROX-Session/build/config.h
+apps/ROX-Session/build/config.log
+apps/ROX-Session/build/config.status
+apps/ROX-Session/build/dbus.o
+apps/ROX-Session/build/dpms.o
+apps/ROX-Session/build/gui_support.o
+apps/ROX-Session/build/i18n.o
+apps/ROX-Session/build/log.o
+apps/ROX-Session/build/main.o
+apps/ROX-Session/build/options.o
+apps/ROX-Session/build/rox_gettext.o
+apps/ROX-Session/build/session.o
+apps/ROX-Session/build/settings.o
+apps/ROX-Session/build/wm.o
+apps/ROX-Session/build/xdgautostart.o
+apps/ROX-Session/build/xkb.o
+apps/ROX-Session/build/xsettings-common.o
+apps/ROX-Session/build/xsettings-manager.o
+apps/ROX-Session/choose_wm.py
+apps/ROX-Session/choose_wm.pyc
+apps/ROX-Session/choose_wm.pyo
 apps/ROX-Session/findrox.py
 apps/ROX-Session/findrox.pyc
 apps/ROX-Session/findrox.pyo
+apps/ROX-Session/gdm.py
+apps/ROX-Session/gdm.pyc
+apps/ROX-Session/gdm.pyo
 apps/ROX-Session/images/rox-halt.png
 apps/ROX-Session/images/rox-suspend.png
 apps/ROX-Session/interactive.py
 apps/ROX-Session/interactive.pyc
 apps/ROX-Session/interactive.pyo
-apps/ROX-Session/log.py
-apps/ROX-Session/log.pyc
-apps/ROX-Session/log.pyo
 apps/ROX-Session/logout.py
 apps/ROX-Session/logout.pyc
 apps/ROX-Session/logout.pyo
-apps/ROX-Session/main.py
-apps/ROX-Session/main.pyc
-apps/ROX-Session/main.pyo
-apps/ROX-Session/mydbus.py
-apps/ROX-Session/mydbus.pyc
-apps/ROX-Session/mydbus.pyo
-apps/ROX-Session/mylogging.py
-apps/ROX-Session/mylogging.pyc
-apps/ROX-Session/mylogging.pyo
-apps/ROX-Session/session.py
-apps/ROX-Session/session.pyc
-apps/ROX-Session/session.pyo
-apps/ROX-Session/session_dbus.py
-apps/ROX-Session/session_dbus.pyc
-apps/ROX-Session/session_dbus.pyo
-apps/ROX-Session/settings.py
-apps/ROX-Session/settings.pyc
-apps/ROX-Session/settings.pyo
-apps/ROX-Session/settings3x.py
-apps/ROX-Session/settings3x.pyc
-apps/ROX-Session/settings3x.pyo
+apps/ROX-Session/makedist.sh
+apps/ROX-Session/migrate.py
+apps/ROX-Session/migrate.pyc
+apps/ROX-Session/migrate.pyo
+apps/ROX-Session/sessionbus.py
+apps/ROX-Session/sessionbus.pyc
+apps/ROX-Session/sessionbus.pyo
 apps/ROX-Session/setup.py
 apps/ROX-Session/setup.pyc
 apps/ROX-Session/setup.pyo
-apps/ROX-Session/tests/testutils.py
-apps/ROX-Session/tests/testutils.pyc
-apps/ROX-Session/tests/testutils.pyo
-apps/ROX-Session/utils.py
-apps/ROX-Session/utils.pyc
-apps/ROX-Session/utils.pyo
-apps/ROX-Session/wm.py
-apps/ROX-Session/wm.pyc
-apps/ROX-Session/wm.pyo
-apps/ROX-Session/xsettings.py
-apps/ROX-Session/xsettings.pyc
-apps/ROX-Session/xsettings.pyo
-apps/ROX-Session/xxmlrpc.py
-apps/ROX-Session/xxmlrpc.pyc
-apps/ROX-Session/xxmlrpc.pyo
-%%GDM%%etc/dm/Sessions/rox.desktop
-sbin/rox-session
-@dirrm apps/ROX-Session/tests
+apps/ROX-Session/src/Makefile
+apps/ROX-Session/src/Makefile.in
+apps/ROX-Session/src/choices.c
+apps/ROX-Session/src/choices.h
+apps/ROX-Session/src/config.h.in
+apps/ROX-Session/src/configure
+apps/ROX-Session/src/configure.in
+apps/ROX-Session/src/dbus.c
+apps/ROX-Session/src/dbus.h
+apps/ROX-Session/src/dpms.c
+apps/ROX-Session/src/dpms.h
+apps/ROX-Session/src/global.h
+apps/ROX-Session/src/gui_support.c
+apps/ROX-Session/src/gui_support.h
+apps/ROX-Session/src/i18n.c
+apps/ROX-Session/src/i18n.h
+apps/ROX-Session/src/log.c
+apps/ROX-Session/src/log.h
+apps/ROX-Session/src/main.c
+apps/ROX-Session/src/main.h
+apps/ROX-Session/src/options.c
+apps/ROX-Session/src/options.h
+apps/ROX-Session/src/po/da.po
+apps/ROX-Session/src/po/de.po
+apps/ROX-Session/src/po/dist
+apps/ROX-Session/src/po/es.po
+apps/ROX-Session/src/po/fr.po
+apps/ROX-Session/src/po/it.po
+apps/ROX-Session/src/po/ja.po
+apps/ROX-Session/src/po/lt.po
+apps/ROX-Session/src/po/make-mo
+apps/ROX-Session/src/po/nl.po
+apps/ROX-Session/src/po/pt_BR.po
+apps/ROX-Session/src/po/ru.po
+apps/ROX-Session/src/po/tips.py
+apps/ROX-Session/src/po/tips.pyc
+apps/ROX-Session/src/po/tips.pyo
+apps/ROX-Session/src/po/update-po
+apps/ROX-Session/src/po/zh_CN.po
+apps/ROX-Session/src/po/zh_TW.po
+apps/ROX-Session/src/rox_gettext.c
+apps/ROX-Session/src/rox_gettext.h
+apps/ROX-Session/src/session.c
+apps/ROX-Session/src/session.h
+apps/ROX-Session/src/settings.c
+apps/ROX-Session/src/settings.h
+apps/ROX-Session/src/wm.c
+apps/ROX-Session/src/wm.h
+apps/ROX-Session/src/xdgautostart.c
+apps/ROX-Session/src/xdgautostart.h
+apps/ROX-Session/src/xkb.c
+apps/ROX-Session/src/xkb.h
+apps/ROX-Session/src/xsettings-common.c
+apps/ROX-Session/src/xsettings-common.h
+apps/ROX-Session/src/xsettings-manager.c
+apps/ROX-Session/src/xsettings-manager.h
+bin/rox-session
+share/applications/rox.desktop
+@dirrmtry share/applications
+@dirrm apps/ROX-Session/src/po
+@dirrm apps/ROX-Session/src
 @dirrm apps/ROX-Session/images
-@dirrm apps/ROX-Session/Messages
+@dirrm apps/ROX-Session/build
 @dirrm apps/ROX-Session/Help
 @dirrm apps/ROX-Session
 @dirrmtry apps
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"